<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');


        
 

//this is where you paste. Below paste it:



	echo '<div class="col-sm-12">';
		//echo '<div class="aflpanel" style="margin-bottom:10px">';
		$userid = $_SESSION['UserID'];
$date = date("Y-m-d");


    include('xcrud/xcrud.php');
    $xcrud = Xcrud::get_instance();
    $xcrud->table('technician_worksheet');

    $xcrud->default_tab('Basic info');
	$xcrud->table_name('Technician Worksheet Management');
	//Xcrud_config::$editor_url = dirname($_SERVER["SCRIPT_NAME"]).'/editors/ckeditor/ckeditor.js'; 
	//$xcrud->disabled('age');
	//$xcrud->column_name('budgeted_total_price','Contract Value(VEP)');
	//$xcrud->label('budgeted_total_price','Contract Value(VEP)');
	$xcrud->unset_numbers();
	$xcrud->show_primary_ai_column(true);
	$xcrud->order_by('id','desc');
	//$xcrud->columns('projectid',false);
	//$xcrud->column_name('projectid','Projectid/jobno');
$xcrud->relation('projectid','projectdetails','projectid',array('project_name','projectid'));
	//$xcrud->relation('category','chartmaster','accountcode',array('accountname','accountcode'),array('group_' => 'Sales'));
	$xcrud->change_type('category ','select',' ','Installs Job,Monitoring Job,FAS Contracts,FAS Small Jobs,FAS Surveys,Fire Training,FAS Testing,Extinguisher Servicing,Extinguisher Sales,Warranty Test');
	//$xcrud->set_attr('project_type',array('onfocus'=>'alert("Hello Man!"'));
	//$xcrud->relation('divisionid','division','divisionid','name');
	//$xcrud->relation('department','department','departmentid','departmentname');
	//$xcrud->relation('customer','debtorsmaster','debtorno','name');
//$xcrud->relation('branch','custbranch','debtorno','brname','','','','','','debtorno','customer');
   //$xcrud->relation('account_number','debtoraccount','account_number','account_number','','','','','','debtorno','customer');
	//$xcrud->column_pattern('projectid', '<a href="#" class="xcrud-action" data-task="edit" data-primary="{projectid}">{value}</a>');
	//$xcrud->relation('project_manager','employeemaster','employeeid','full_name');

	//$xcrud->column_name('margin','Margin-(Percentage)');
    $xcrud->change_type('status','select','Under Progress','Under Progres,Completed,Hold,Cancelled');
//$xcrud->relation('department','department','departmentid','departmentname');
//$xcrud->before_insert('updateaccountnumber','functionsproject.php');
//$xcrud->before_update('updateaccountnumber','functionsproject.php');
$userid = $_SESSION['UserID'];
$xcrud->pass_var('entered_by',$userid);
$xcrud->pass_var('modified_by',$userid);

	$xcrud->label('projectid','Project');
$timenow = date('Y-m-d H:i:s');
$xcrud->pass_default('entered_date',$timenow);
$xcrud->pass_var('modified_date',$timenow );
$xcrud->disabled('entered_by,modified_by,entered_date,modified_date');
	//$xcrud->label('age','Age(Days)');
	//$xcrud->pass_var('date',$date);
		//$xcrud->columns('projectid,date,project_type,customer,project_name,department,required_date,wip_income,wip_expense,status,managed_by');
		//	
   // $xcrud->fields('projectid,date,project_type,prospectid,customer,project_name,department,wip_income,wip_expense,status,managed_by', false, 'Basic Profile');
	//$xcrud->fields('branch,description,employees_allocated,contact_person,contact_number,required_date,start_date,age', false, 'Project Details');
	
	//$xcrud->fields('account_number,retention_rate,purchase_order', false, 'Account');

$xcrud->button('PrintTechnicianWorksheet.php?id={id}&projectid={projectid}&date={date}&remark={remark}&status={status}', 'Print Worksheet for Signing','glyphicon glyphicon-th-list','westpac');

$xcrud->button('ConvertWorksheettoInvoice.php?id={id}&projectid={projectid}', 'Convert to Invoice','glyphicon glyphicon-th-list','westpac');
	//	} 
	
//$xcrud->before_insert('addmaterials','functionsproject.php');
//$xcrud->before_update('addmaterials','functionsproject.php');

$userid = $_SESSION['UserID'];
$materials = $xcrud->nested_table('Materials','id','technician_worksheet_materials','id'); 
          $materials->relation('stockrequest_id','stockrequest','dispatchid','dispatchid');
          $materials->relation('stockid','stockmaster','stockid',array('description','stockid'));
	$materials->disabled('stockrequest_id');

	$labour= $xcrud->nested_table('Labour','id','technician_worksheet_labourcost','id'); 
	
 $labour->set_attr('time_in',array('id'=>'time_in'));
 $labour->set_attr('time_out',array('id'=>'time_out'));
 $labour->set_attr('hrs_worked',array('id'=>'hrs_worked'));
 $labour->set_attr('billable_hrs',array('id'=>'billable_hrs'));
$labour->before_update('calculatetotalhours','functionsproject.php'); 
$labour->before_insert('calculatetotalhours','functionsproject.php');
$labour->disabled('hrs_worked');

	//1.5 level
	$projectattachment = $xcrud->nested_table('Attachements','id','technician_worksheet_attachements','id');
	
	$projectattachment->change_type('file', 'file', '', array('not_rename'=>true));
$stock = $xcrud->nested_table('Stock Usage','projectid','stockrequest','jobno'); // 6th level

$stock->relation('department_received_from','department','departmentid','departmentname');

$stock->unset_edit();
$stock->unset_remove();
$stock->unset_add();
$stock->button('PulltoMaterials.php?dispatchid={dispatchid}', 'Pull this into materials','glyphicon glyphicon-th-list','westpac');
$stockrequestdetails = $stock->nested_table('Stock Request Details','dispatchid','stockrequestitems','dispatchid');
	
	$stockrequestdetails ->relation('stockid','stockmaster','stockid',array('stockid','description'));
//$stockrequestdetails->button('ProgressiveInvoicing.php?id={pgid}&projectid={projectid}', 'Raise Invoice','glyphicon glyphicon-list-alt');
      $stockrequestdetails ->disabled('dispatchitemsid,dispatchid');

 $stockrequestdetails->unset_edit();
 $stockrequestdetails->unset_remove();
 $stockrequestdetails->unset_add();
    echo $xcrud->render();
	
	








			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

   // event must be delegated from .xcrud

	
	
	
	
	
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>